<?xml version="1.0" encoding="UTF-8"?>
<configuration>

    <property name="LOGS" value="./logs"/>

    <appender name="Console" class="ch.qos.logback.core.ConsoleAppender">
        <layout class="ch.qos.logback.classic.PatternLayout">
            <Pattern>
                %black(%d{ISO8601}) %highlight(%-5level) [%blue(%t)] %yellow(%c{60}): %msg%n%throwable
            </Pattern>
        </layout>
    </appender>

    <appender name="RollingFileStd" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOGS}/mailexport.log</file>
        <encoder class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
            <Pattern>%d %p %c{60} [%t] %m%n</Pattern>
        </encoder>

        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${LOGS}/archived/mailexport-%d{yyyy-MM-dd}.gz</fileNamePattern>
            <MaxHistory>30</MaxHistory>
            <cleanHistoryOnStart>true</cleanHistoryOnStart>
        </rollingPolicy>
    </appender>

    <!-- LOG everything at INFO level -->
    <root level="info">
        <appender-ref ref="RollingFileStd"/>
        <appender-ref ref="Console"/>
    </root>

    <!-- LOG "com.baeldungorg.eclipse.openk.contactbasedata*" at INFO level -->
    <logger name="org.eclipse.openk.gridfailureinformation.mailexport" level="info" additivity="false">
        <appender-ref ref="RollingFileStd"/>
        <appender-ref ref="Console"/>
    </logger>

</configuration>